<?php
// vim: set ts=4 sw=4 sts=4 et:

/**
 * X-Cart
 *
 *
 * @category  X-Cart 5
 * @author    Z-Payment
 * @copyright Copyright (c) 2011-2014 Z-Payment
 * @link      https://z-payment.com/
 */

namespace XLite\Module\Zpayment\Zpayment\View\Payment;

use Includes\Utils\Converter;
use Includes\Utils\URLManager;

/**
 * Payment method
 */
abstract class Method extends \XLite\View\Payment\Method implements \XLite\Base\IDecorator
{
    /**
     * Get callback URL for Z-Payment payment method
     * 
     * @return string
     */
    protected function getZpaymentCallbackURL()
    {
        return URLManager::getShopURL(
            Converter::buildURL('callback', 'callback', array(), 'cart.php')
        );
    }
}
